<?php

namespace ProjectManagers\ProjectManager\Repositories\Eloquent;

use ProjectManagers\ProjectManager\Interfaces\ManagerRepositoryInterface;
use Litepie\Repository\BaseRepository;
use ProjectManagers\ProjectManager\Repositories\Eloquent\Presenters\ManagerItemPresenter;


class ManagerRepository extends BaseRepository implements ManagerRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('project_managers.project_manager.manager.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('project_managers.project_manager.manager.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return ManagerItemPresenter::class;
    }
}
